Bug 967683 - Domain can't be deleted normally if trying to delete domain with upper case
Domain can't be deleted normally if trying to delete domain with upper case
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 22:29 EDT by Yan Du
Modified: 2015-05-14 22:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:11:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2013-05-27 22:29:19 EDT
Description of problem:

Domain can't be deleted normally if trying to delete domain with upper case, e.g. create a domain named test, then delete the domain with 'rhc domain delete -n TEST', it will show that Domian TEST not found.


Version-Release number of selected component (if applicable):
devenv_3277


How reproducible:
Always


Steps to Reproduce:
1.Create a domain by 'rhc domain create -n test'
2.Delete domain with the same name but change the chars capitailization 'rhc domain delete -n TEST'


Actual results:
Domain TEST not found.


Expected results:
Domain test should be deleted successfully


Additional info:
the issue only can reproduce when deleting a domian. Test OK with create or update domain
Comment 1 Abhishek Gupta 2013-05-28 12:44:42 EDT
The REST API is able to successfully delete the domain. The CLI is probably doing some validations at its end and failing to ignore the case during comparisons.
Comment 2 Jordan Liggitt 2013-05-28 17:12:01 EDT
Marked as merge in https://github.com/openshift/rhc/pull/392
Comment 3 openshift-github-bot 2013-05-28 18:32:00 EDT
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/b923e1141e48a4280dbcaae1590a39637adb7afe
Fix bug 967683 - make domain id matching case-insensitive
Comment 4 Yan Du 2013-05-29 05:31:06 EDT
Test OK using rhc client from devenv_3282.

Note You need to log in before you can comment on or make changes to this bug.